From dbc7720e1b20b3a1aed96f56b7d3222275654259 Mon Sep 17 00:00:00 2001
From: Brian Leung <bkleung89@gmail.com>
Date: Tue, 13 Aug 2019 22:28:20 +0200
Subject: [PATCH 4/6] gnu: Add ruby-reverse-markdown.

* gnu/packages/ruby.scm (ruby-reverse-markdown): New variable.
---
 gnu/packages/ruby.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 10f7ab1a2d..18b164312a 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -8737,3 +8737,40 @@ then check out http://127.0.0.1:1080 to see the mail.")
      "This package provides a pure Ruby library for event-driven IO.")
     (home-page "https://github.com/castwide/backport")
     (license license:expat)))
+
+(define-public ruby-reverse-markdown
+  (package
+    (name "ruby-reverse-markdown")
+    (version "1.1.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (rubygems-uri "reverse_markdown" version))
+       (sha256
+        (base32
+         "0w7y5n74daajvl9gixr91nh8670d7mkgspkk3ql71m8azq3nffbg"))))
+    (build-system ruby-build-system)
+    (propagated-inputs
+     `(("ruby-nokogiri" ,ruby-nokogiri)))
+    (native-inputs
+     `(("bundler" ,bundler)
+       ("ruby-rspec" ,ruby-rspec)
+       ("ruby-kramdown" ,ruby-kramdown)
+       ("ruby-simplecov" ,ruby-simplecov)))
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (invoke "rspec"))
+             #t)))))
+    (synopsis
+     "Convert HTML into Markdown")
+    (description
+     "Map simple html back into markdown, e.g. if you want to import existing
+html data in your application.")
+    (home-page
+     "http://github.com/xijo/reverse_markdown")
+    (license license:wtfpl2)))
+
-- 
2.22.0

